local IB = CBW_ItemBubbles
local I = IB.Item
local CV = IB.Console

IB.DebugHUD = function(v, player, cam)
	local debug = CV.Debug.value	
	if not(debug) then return end

	local flags = V_ALLOWLOWERCASE|V_HUDTRANS|V_SNAPTORIGHT|V_SNAPTOTOP
	local flags2 = V_ALLOWLOWERCASE|V_HUDTRANSHALF|V_SNAPTORIGHT|V_SNAPTOTOP
	local xx = v.width()/v.dupx()
	
	local xoffset = 320
	local yoffset = 14
	local flags = V_HUDTRANS|V_SNAPTOTOP|V_SNAPTORIGHT|V_PERPLAYER
	local align = "small-right"
	local nextline = 4
	local mo = player.mo or player.realmo
	--Double the scale for smaller screens (illegible otherwise)
	if v.height() < 400 then 
		align = "right"
		nextline = 8
	end
	local addspace = function()
		yoffset = $+nextline
	end
	local addline = function(string,string2)
		string = "\x86"+tostring($)+": \x80"+tostring(string2)
		v.drawString(xoffset,yoffset,string,flags,align)
		yoffset = $+nextline
	end
	local addheader = function(string)
		yoffset = $+nextline
		string = "\x82"+string
		v.drawString(xoffset,yoffset,string,flags,align)
		yoffset = $+nextline
	end
	local subheader = function(string)
		string = "\x88"+string
		v.drawString(xoffset,yoffset,string,flags,align)
		yoffset = $+nextline
	end
	--****
	--Execute drawing
	--****
	
	addheader("Items")
	addline("Global Spawns",#I.Spawns)
	addline("Global Timer",I.SpawnTimer/TICRATE.."/"..(4-CV.ItemRate.value)*I.GlobalRate/2)
	addline("GlobalChance Entries",#I.GlobalChance)
	addline("Global Item Rate",I.GlobalRate)
	addline("Local Item Rate",I.LocalRate)
	addline("Item Type",CV.ItemType.value)
	
end