local IB = CBW_ItemBubbles
local CV = IB.Console
local I = IB.Item

IB.DebugPrint = function(string)
	local debug = CV.Debug.value
	//Gates
	if not(debug) then return end
	//Colors
	local c = "\x8C"
	//Print
	print(c..tostring(string))
end

IB.Warning = function(string)
	print("\x82".."WARNING:"..tostring(string))
end

IB.FixedLerp = function(val1,val2,amt)
	return FixedMul(FRACUNIT-amt,val1) + FixedMul(amt,val2)
end

IB.Choose = function(...)
	local args = {...}
	local choice = P_RandomRange(1,#args)
	return args[choice]
end

function IB.NetVars.Sync(network)
	I.SpawnTimer	= network($)
	I.Spawns 		= network($)
	I.GlobalChance	= network($)
	I.GlobalRate	= network($)
	I.LocalRate		= network($)
end